For Developers
Fetch Geo
GET https://ed.link/api/v2/teams/:team_id/origin-policies/:policy_id/geos/:geo_id
Retrieves an individual country code rule.
Permissions
Requires the origin_policies.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
:geo_id | UUID | Yes | The ID of the geographic rule. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/origin-policies/${policy_id}/geos/${geo_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "e22a4b88-1c39-4d6b-9520-21a4fa800311",
"country_code": "US"
}
}
